﻿.header-menu li a{
    width: 100%;
    height: 70px;
    line-height: 70px;
    display: block;
    position: relative;
    transition: all .3s linear;
    
}
.header-menu li a:hover,
.header-menu li.active a{
    background-color: #000;
}
.header-menu li a:hover:after,
.header-menu li.active a:after{
    content: 'normal';
    font-size: 0;
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 8px solid transparent;
    border-bottom: 8px solid #9a0004;
    border-left: 8px solid transparent;
    display: block;
    position: absolute;
    bottom: 0;
    left: calc(50% - 4px);
}

.mh5{ 
    transition: all 0.5s;
    position: relative; }

.mh5 span{
    z-index: 2; 
    display: block;
    position: absolute;
    width: 100%;
    height: 100%; 
}

.mh5::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    opacity: 0;
    background-color: rgba(154,0,4,1);
    transition: all 0.4s;
    transform: scale(0.5, 1); 
}

.mh5:hover::before{
    opacity: 1;
    transform: scale(1, 1); 
}

.contact-form li.button:hover input{
    background-color: #9a0004;
}


.contact-form li.button:hover .contact-form-title{
    font-size: 22px;
    font-weight: bold;
}
#name:focus + label, 
#phone:focus + label, 
#add:focus + label, 
#textarea:focus + label {
    display: none;
    transition: all .4s ease;
}


.works-list-mask{
    width: 100%;
    height: 100%;
    display: none;
    position: absolute; 
    background-color: rgba(0, 0, 0, 0.4);
}
.works-list:hover .works-list-mask{
     display: block;
}



.service-box li:hover{
    font-weight: bold;
    font-size: 20px;
}
.works-list .works-list-img-box span,
.works-list-more,
.works-list-more-line,
.works-list-more-icon{
    transition: all .3s linear;
}
.works-list:hover .works-list-img-box span{
    transform: scale(1.05);
}
.works-list:hover .works-list-title{
    color: #FFF;
}
.works-list:hover .works-list-title:before{
    background-color: #9a0004;
}
.works-list-title-bg{
    width: 0;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #9a0004;
    transition: all .3s linear;
}

.works-list:hover .works-list-title-bg{
    width: 100%;
}
.works-list-more-box:hover .works-list-more{
    font-size: 16px;
    color: #9a0004;
    font-weight: bold;
}

.works-list-more-box:hover .works-list-more-line{
    margin: 9px 0;
}
.works-page-box .works-list-more-box:hover .works-list-more-icon{
    animation:   arrow-back 1s linear 0s  infinite alternate;
}
 .works-list-more-box:hover .works-list-more-icon{
    animation:   arrow-next 1s linear 0s  infinite alternate;
}
@keyframes arrow-back{
  from {
    opacity: 0.4;
    -webkit-transform: none;
    transform: none;
    
  }

  to {
    opacity: 1;
    -webkit-transform: translate3d(-10%, 0, 0);
    transform: translate3d(-10%, 0, 0);
  }
}
@keyframes arrow-next{
  from {
    opacity: 0.4;
    -webkit-transform: none;
    transform: none;
    
  }

  to {
    opacity: 1;
    -webkit-transform: translate3d(0, 10%, 0);
    transform: translate3d(0, 10%, 0);
  }
}


.footer-info-box li a{
    transition: all .3s linear;
}
.footer-info-box li a:hover{
    color: #ff0007;
}